Skip to content
Developer

Other

System and settings11 EndpointsOther

This method will get a single MediaGroup as an RSS feed

GET/api/media/mediagroup/rss/{groupIdentifier}

Path parameters

groupIdentifierrequiredstring

Responses

default

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/media/mediagroup/rss/42 \
  --header 'x-iw-jwt-token: <TOKEN>'

This method will proxy a MediaFile

GET/api/media/mediafile/proxy/{fileIdentifier}

Path parameters

fileIdentifierrequiredstring

Responses

default

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/media/mediafile/proxy/42 \
  --header 'x-iw-jwt-token: <TOKEN>'

This method will proxy a MediaFile

GET/api/media/mediafile/proxy/{fileIdentifier}/{wildcard}

Path parameters

fileIdentifierrequiredstring
wildcardrequiredstring

Responses

default

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/media/mediafile/proxy/42/42 \
  --header 'x-iw-jwt-token: <TOKEN>'

This method will proxy an Attachment

GET/api/media/mediafile/proxy_attachment/{downloadLink}

Path parameters

downloadLinkrequiredstring

Responses

default

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/media/mediafile/proxy_attachment/42 \
  --header 'x-iw-jwt-token: <TOKEN>'

This method will proxy an Attachment

GET/api/media/mediafile/proxy_attachment/{downloadLink}/download/bylink

Path parameters

downloadLinkrequiredstring

Responses

default

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/media/mediafile/proxy_attachment/42/download/bylink \
  --header 'x-iw-jwt-token: <TOKEN>'

This method will proxy a RemoteMediaUrl

GET/api/media/url/remote/proxy/{urlIdentifier}/{wildcard}

Path parameters

urlIdentifierrequiredstring
wildcardrequiredstring

Responses

default

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/media/url/remote/proxy/42/42 \
  --header 'x-iw-jwt-token: <TOKEN>'

This method will proxy a RemoteMediaUrl

POST/api/media/url/remote/proxy/{urlIdentifier}/{wildcard}

Path parameters

urlIdentifierrequiredstring
wildcardrequiredstring

Responses

default

Request
curl --request POST \
  --url https://your-instance.iw-erp.de/api/media/url/remote/proxy/42/42 \
  --header 'x-iw-jwt-token: <TOKEN>'

This method will proxy a RemoteMediaUrl

GET/api/media/url/remote/proxy/{urlIdentifier}

Path parameters

urlIdentifierrequiredstring

Responses

default

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/media/url/remote/proxy/42 \
  --header 'x-iw-jwt-token: <TOKEN>'

This method will proxy a RemoteMediaUrl

POST/api/media/url/remote/proxy/{urlIdentifier}

Path parameters

urlIdentifierrequiredstring

Responses

default

Request
curl --request POST \
  --url https://your-instance.iw-erp.de/api/media/url/remote/proxy/42 \
  --header 'x-iw-jwt-token: <TOKEN>'

Returns a list of media social post rss entries.

GET/api/media/social_post/rss

Responses

default

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/media/social_post/rss \
  --header 'x-iw-jwt-token: <TOKEN>'

Returns the feed of a category.

GET/api/media/social_post/rss/category/{ucatId}

Path parameters

ucatIdrequiredstring

Responses

default

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/media/social_post/rss/category/42 \
  --header 'x-iw-jwt-token: <TOKEN>'